/* rwdos.h - module for code requiring dos support */

#ifndef RWDOS_PROTO
#define RWDOS_PROTO

#include <rwtypes.h>

/****************************************************************************
 Defines
 */

#define rwSCRWIDTH rwDEVICESPECIFICACTION+1
#define rwSCRHEIGHT rwDEVICESPECIFICACTION+2
#define rwSCRDEPTH rwDEVICESPECIFICACTION+3
#define rwSCRSCREENS rwDEVICESPECIFICACTION+4

#define rwSCRGETCOLOR rwDEVICESPECIFICACTION+5
#define rwSCRSETCOLOR rwDEVICESPECIFICACTION+14

#define rwPRINTCHAR rwDEVICESPECIFICACTION+6
#define rwBITMAPTORAW rwDEVICESPECIFICACTION+7
#define rwCHARMAPTORAW rwDEVICESPECIFICACTION+8

#define rwPOINTERSETCLIPREGION rwDEVICESPECIFICACTION+9
#define rwPOINTERSETREGION rwDEVICESPECIFICACTION+10
#define rwPOINTERSETIMAGE rwDEVICESPECIFICACTION+11
#define rwPOINTERREMOVE rwDEVICESPECIFICACTION+12
#define rwPOINTERDISPLAY     rwDEVICESPECIFICACTION+13

#define rwPOINTERDISPLAYAT   rwDEVICESPECIFICACTION+15
#define rwPOINTERSETPOSITION rwDEVICESPECIFICACTION+16
#define rwPOINTERGETPOSITION rwDEVICESPECIFICACTION+17
#define rwPOINTERGETRELATIVE rwDEVICESPECIFICACTION+18

#define E_RW_DOS_MODE_UNAVAILABLE 1
#define E_RW_DOS_NO_VESA_BIOS 2
#define E_RW_DOS_INCOMPATIBLE_BIOS 3
#define E_RW_DOS_NO_MOUSE 4

/****************************************************************************
 Types
 */

typedef struct PrintCharTag {
	int x;
	int y;
	char c;
  char __pad[3];
	int color;
} RwPrintChar;

typedef struct MousePointerTag {
	int x;
	int y;
	int buttons;
} RwMousePointer;

typedef struct ImageConvert {
	void *inimage;
	int w;
	int h;
	int colora;
	int colorb;
	void *outstorage;
} RwImageConvert;

typedef struct PointerImage {
	int hotx;
	int hoty;
	int w;
	int h;
	void *image;
} RwPointerImage;

#endif
